capture log close                              
clear                                          
set more off                                   
                                               
local drive E:\ed_olsen\
              
*local drive G:\ed_olsen\                      
pause on                                       

foreach year in 1983 1993 2003{
local metro E:\ed_olsen\2011_08_03_metro\metro`year'_ne_counties 
                                               
cd `drive'2011_08_03_ceofiles
clear all

***new england
forval k = 1(1)2{

if `k'==1{
local j ne
clear all
use ne_pi_1982_2010_counties_msa_LDM
}

if `k'==2{
local j non_ne
clear all
use non_ne_pi_1973_2010_countiesLDM
}

sort fipscode

gen geocode`year'=m`year'

forval i=1982(1)2010{
preserve
collapse ph`i' px`i' cpi`i' [w=p`i'], by(geocode`year')
saveold `metro'\\`j'`i'temp, replace
restore
}

collapse (sum) p19* p20* , by(geocode`year')
saveold `metro'\\`j'pop_temp, replace

sort geocode`year'

cd `metro'

forval i=1982(1)2010{
merge geocode`year' using `j'`i'temp
rename _merge merge`i'
tab merge`i'
sort geocode`year'
}

drop merge*

saveold `j'temp, replace
clear all
cd `drive'\2011_08_03_ceofiles
}

use `metro'\non_netemp
append using `metro'\netemp

compress
order geocode`year' p19* p20* ph* px* cpi*
sort geocode`year'

forval i=1982(1)2010{
foreach k in ph px cpi{
replace `k'`i'=round(`k'`i',.001)
}
format p`i' %12.0g
}

saveold `metro'\2012_03_22_ceo_index_ne_counties_`year'LDM, replace

cd `metro'
forval i=1982(1)2010{
erase non_ne`i'temp.dta
erase ne`i'temp.dta
}

erase non_nepop_temp.dta
erase nepop_temp.dta
erase netemp.dta
erase non_netemp.dta	
}
