capture log close                              
clear                                          
set more off                                   
                                               
local drive E:\ed_olsen\
              
local level statemetro
*local drive G:\ed_olsen\                      
pause on                                       

foreach year in 2003{
local metro E:\ed_olsen\2011_08_03_metro\metro`year'_ne_counties
                                             
cd `drive'2011_08_03_ceofiles

***new england
forval k = 1(1)2{

if `k'==1{
local j ne
clear all
use ne_pi_1982_2010_counties_msa_LDM
}

if `k'==2{
local j non_ne
clear all
use non_ne_pi_1973_2010_countiesLDM
}

sort fipscode

***Change geocode to whatever it needs to be
gen geocode`year'=500000+stfips*10+1 if m`year'<50000 | m`year'>60000
replace geocode`year'=500000+stfips*10 if m`year'>50000 & m`year'<60000

forval i=1982(1)2010{
preserve
collapse ph`i' px`i' cpi`i' [w=p`i'], by(geocode`year')
saveold `metro'\\`j'`i'`level'temp, replace
restore
}

collapse (sum) p19* p20* , by(geocode`year')
saveold `metro'\\`j'pop_`level'temp, replace

sort geocode`year'

cd `metro'

forval i=1982(1)2010{
merge geocode`year' using `j'`i'`level'temp
rename _merge merge`i'
tab merge`i'
sort geocode`year'
}

drop merge*

saveold `j'`level'temp, replace
clear all
cd `drive'\2011_08_03_ceofiles
}

use `metro'\non_ne`level'temp
append using `metro'\ne`level'temp

compress
order geocode`year' p19* p20* ph* px* cpi*
sort geocode`year'

forval i=1982(1)2010{
foreach k in ph px cpi{
replace `k'`i'=round(`k'`i',.001)
}
format p`i' %12.0g
}

saveold `metro'\2012_03_22_ceo_index_ne_counties_`level'`year'LDM, replace

cd `metro'
forval i=1982(1)2010{
erase non_ne`i'`level'temp.dta
erase ne`i'`level'temp.dta
}

erase non_nepop_`level'temp.dta
erase nepop_`level'temp.dta
erase ne`level'temp.dta
erase non_ne`level'temp.dta	
}

