capture log close                              
clear                                          
set more off                                   
                                               
local drive E:\ed_olsen\
              
local level divisionmetro
*local drive G:\ed_olsen\                      
pause on    

foreach year in 2003{
local metro E:\ed_olsen\2011_08_03_metro\metro`year'_ne_counties                                   
                                             
cd `drive'2011_08_03_ceofiles

***new england
clear all
use ne_pi_1982_2010_counties_msa_LDM

local j all


append using non_ne_pi_1973_2010_countiesLDM


sort fipscode


***Change geocode to whatever it needs to be
gen geocode`year'=600000+division*10+1 if m`year'<50000 | m`year'>60000
replace geocode`year'=600000+division*10 if m`year'>50000 & m`year'<60000

forval i=1982(1)2010{
preserve
collapse ph`i' px`i' cpi`i' [w=p`i'], by(geocode`year')
saveold `metro'\\`j'`i'`level'temp, replace
restore
}

collapse (sum) p19* p20* , by(geocode`year')
saveold `metro'\\`j'pop_`level'temp, replace

sort geocode`year'

cd `metro'

forval i=1982(1)2010{
merge geocode`year' using `j'`i'`level'temp
rename _merge merge`i'
tab merge`i'
sort geocode`year'
}

drop merge*

saveold `j'`level'temp, replace
clear all
cd `drive'\2011_08_03_ceofiles


use `metro'\\`j'`level'temp

compress
order geocode`year' p19* p20* ph* px* cpi*
sort geocode`year'

forval w=1982(1)2010{
foreach k in ph px cpi{
replace `k'`w'=round(`k'`w',.001)
}
format p`w' %12.0g
}

saveold `metro'\2011_08_03_ceo_index_ne_counties_`level'`year'LDM, replace

cd `metro'
forval i=1982(1)2010{
erase `j'`i'`level'temp.dta
}

erase `j'pop_`level'temp.dta
erase `j'`level'temp.dta
}

