capture log close                              
clear                                          
set more off                                   
                                               
local drive E:\ed_olsen\

******************************
***FIRST CREATE 2009 MSA FILE
******************************
insheet using `drive'abby_adams\working\09mfips.csv

drop if fipscode==""
drop name
destring fipscode, replace
destring div2009, replace

sort fipscode
saveold `drive'abby_adams\working\09mfips, replace
clear all

******************************
***MERGE on COUNTY MSA CODES
******************************
cd `drive'2011_08_03_ceofiles

use ne_pi_1982_2010_countiesLDM

count

forval i=3(1)9{
merge 1:m fipscode using E:\ed_olsen\abby_adams\working\0`i'mfips.dta
drop if _merge==2
drop _merge
count

gen m200`i'=.
replace m200`i'= div200`i' if div200`i'!=.
replace m200`i'=msa200`i' if m200`i'==. & msa200`i'!=.
replace m200`i'=50000+stfips if m200`i'==.
*order msa2003 div2003 m2003
}

order region division stfips ctyfips fipscode countyname state m200*

foreach i in 83 93{
merge 1:1 fipscode using `drive'necmas\necmas`i'
gen m19`i'=.
replace m19`i'=necma`i' if necma`i'!=.
replace m19`i'=50000+stfips if m19`i'==.
drop _merge
}

order region division stfips ctyfips fipscode countyname state m1983 m1993 m200*

drop  msa* div2* necma83 necma93

foreach i in 1983 1993 {
forval j=1(1)9{
local k=`i'+`j'
gen m`k'=m`i'
}
}

order region division stfips ctyfips fipscode countyname state ///
m1983 m1984 m1985 m1986 m1987 m1988 m1989 m1990 m1991 m1992 ///
m1993 m1994 m1995 m1996 m1997 m1998 m1999 m2000 m2001 m2002 ///
m2003 m2004 m2005 m2006 m2007 m2008 m2009

saveold ne_pi_1982_2010_counties_msa_LDM, replace

